> For the complete documentation index, see [llms.txt](https://docs.limio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.limio.com/components/component-library/standard-components/component-subscription-info.md).

# Component: Subscription Info

**Purpose:** Use this component to display detailed information about a customer's current subscription. This is useful in Switch journeys for example, if you want customers to be able to compare their existing offer to available Switch offers.

{% embed url="<https://69c2cf3a42a094f3cd354b8d-cannwfeosv.chromatic.com/?path=/story/shop-components-self-service-subscription-info--default&full=1&shortcuts=false&singleStory=true&embed=true>" %}

## Props

| Prop Name                  | Label                              | Type     | Default Value                                                                             | Description                                                          |
| -------------------------- | ---------------------------------- | -------- | ----------------------------------------------------------------------------------------- | -------------------------------------------------------------------- |
| subscriptionInfoHeading    | Subscription info heading          | string   | Change your subscription                                                                  |                                                                      |
| subscriptionInfoSubheading | Subscription info subheading       | string   | Current subscription                                                                      |                                                                      |
| subscriptionInfoText       | Subscription info text             | string   | To update your subscription, please contact our dedicated team who will be happy to help. |                                                                      |
| subscriptionInfoSmallPrint | Subscription info small print      | string   | Subscription changes will take affect at the end of your current renewal                  |                                                                      |
| productName                | Product Name                       | string   | Limio                                                                                     |                                                                      |
| defaultImageUrl            | Default Image Url                  | string   | -                                                                                         |                                                                      |
| displayProduct             | Display product name?              | boolean  | true                                                                                      |                                                                      |
| displayDescription         | Display description?               | boolean  | false                                                                                     |                                                                      |
| displayTerm                | Display offer term?                | boolean  | true                                                                                      |                                                                      |
| displayPrice               | Display subscription price?        | boolean  | true                                                                                      |                                                                      |
| displayStartDate           | Display subscription start date?   | boolean  | false                                                                                     |                                                                      |
| displayEndDate             | Display subscription end date?     | boolean  | true                                                                                      |                                                                      |
| displayRenewalDate         | Display subscription renewal date? | boolean  | false                                                                                     |                                                                      |
| displayEmail               | Display customer email?            | boolean  | false                                                                                     |                                                                      |
| displayQuantity            | Display product quantity?          | boolean  | false                                                                                     |                                                                      |
| displayGoBackButton        | Display go back button?            | boolean  | true                                                                                      |                                                                      |
| CTAButtonLabel             | CTA Button Label                   | string   | View alternative subscriptions                                                            |                                                                      |
| CTAButtonURL               | CTA Button URL                     | string   | View alternative subscriptions                                                            |                                                                      |
| CTACondition               | Show CTA on this condition         | picklist | gift                                                                                      | \[Always, Auto-Renewing subscription, Fixed term subscription, Gift] |
| goBackUrl                  | Go Back Button URL                 | string   | /mma                                                                                      |                                                                      |
| goBackButtonLabel          | Go Back Button Label               | string   | Go back                                                                                   |                                                                      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.limio.com/components/component-library/standard-components/component-subscription-info.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
